<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-divider></mat-divider>
<h2>{{"voting-material.printer.edit.printer-municipality-mapping.title" | translate }}</h2>
<div class="municipality-info">
  <mat-expansion-panel *ngFor="let mp of municipalitiesByPrinter">
    <mat-expansion-panel-header>
      <mat-panel-title>

        <span class="readonly-label">{{"voting-material.printer.edit.printer" | translate }}</span>
        <span class="readonly-value">{{mp.printer}}</span>

      </mat-panel-title>
      <mat-panel-description>
        {{"voting-material.printer.edit.printer-municipality-mapping.municipality-count" | translate }}
        {{mp.municipalities.length}}
      </mat-panel-description>
    </mat-expansion-panel-header>

    <div fxLayout="row wrap" fxLayoutGap="20px" class="municipalities">
      <div *ngFor="let municipalityName of mp.municipalities" fxFlex="250px">
        {{municipalityName}}
      </div>
    </div>
  </mat-expansion-panel>
</div>

<mat-divider></mat-divider>
<h2>{{"voting-material.printer.edit.printer-swiss-abroad-mapping.title" | translate }}</h2>
<div>
  <span class="readonly-label">{{"voting-material.printer.edit.printer" | translate }}</span>
  <span class="readonly-value">{{printerForSwissAbroad}}</span>

  <div class="mat-caption info">
    {{"voting-material.printer.edit.printer-swiss-abroad-mapping.info" | translate }}
  </div>
</div>

<mat-divider></mat-divider>
<h2>{{"voting-material.printer.edit.printer-testing-card-mapping.title" | translate }}</h2>
<div>
  <span class="readonly-label">{{"voting-material.printer.edit.printer" | translate }}</span>
  <span class="readonly-value">{{printerForTestingCard}}</span>
</div>
<div class="mat-caption info">{{"voting-material.printer.edit.printer-testing-card-mapping.caption" | translate }}</div>
